Subject: [Discussion] how to implement external power down for ARM

From: [email-masked] (Shannon Zhao)
Date: Thu, 7 May 2015 20:18:56 +0800

On 2015/5/7 20:12, Peter Maydell wrote:
> On 7 May 2015 at 13:10, Shannon Zhao <[email-masked]> wrote:
>> BTW, IIUC QEMU doesn't support the gracefully reboot support. The reboot
>> depends on libvirt or other management tools. So the reboot case in
>> virtualization is firstly poweroff, then start again.
> 
> I'm not sure what you mean by this -- QEMU supports 'reset this
> VM' at the machine emulation level, so if we can tell the guest
> to reboot then it should as part of this process issue the
> PSCI SYSTEM_RESET command, which QEMU/KVM will then handle
> to do a reset of the VM.
> 

Yes, QEMU supports reset, but doesn't support (gracefully) reboot. And
reset doesn't depends on the guest, it just restart VM forcefully.
Reboot likes poweroff and start, while reset likes destroy and start.

-- 
Shannon